pantry-0.10.1: Content addressable Haskell package management

Safe Haskell | None
Language | Haskell2010

Pantry.HPack

Synopsis

- hpack :: (HasPantryConfig env, HasLogFunc env, HasProcessContext env) => Path Abs Dir -> RIO env ()
- hpackVersion :: (HasPantryConfig env, HasLogFunc env, HasProcessContext env) => RIO env Version

# Documentation

hpack :: (HasPantryConfig env, HasLogFunc env, HasProcessContext env) => Path Abs Dir -> RIO env () Source #

Generate .cabal file from package.yaml, if necessary.

hpackVersion :: (HasPantryConfig env, HasLogFunc env, HasProcessContext env) => RIO env Version Source #